package com.sf.iotest;

public class TTT {
    static int x,y,z;
    static {
        int x = 5;  //m
        x--;
    }

     static {
        x--;
     }

    public static void method(){
        y = z++ + ++z;  //  z = 1  //y =0
    }


    public static void main(String[] args) {
        System.out.println(x);
        z--;  //z= -1
        method();  //y = z++ + ++z;
        System.out.println("result+=="+(z+y+ ++z));   //最后=3   // 1+0+ 2
    }


    /**
     * a = i++      a = i ;  i = i+1
     * a= ++i       i = i+1;  a = i;
     */
}
